from __future__ import print_function
from ase.constraints import FixAtoms
from ase.optimize import BFGS, QuasiNewton
from gpaw import GPAW, PW, FermiDirac
from ase.io import write, read
from ase import Atoms, Atom

a = 12.0
c = a / 2
CH2O2H2 = Atoms('CH2O2H2', positions=[(c, c, c), (c, c, c + 0.8), (c - 0.8 , c + 0.4, c - 0.4), (c , c - 1, c - 0.8), (c + 0.8 , c + 0.8, c - 0.6),(c , c - 1.6, c - 1.4),(c + 1.4 , c + 1.4, c - 0.8)], cell=(a, a, a))
CH2O2H2.center()
write('CH2O2H2_BEEF.cif', CH2O2H2)

calcCH2O2H2=GPAW(mode=PW(450), xc='BEEF-vdW', basis='dzp', h=0.18, txt='CH2O2H2_BEEF.txt', occupations=FermiDirac(0.01))
CH2O2H2.set_calculator(calcCH2O2H2)
c = FixAtoms(mask=[atom.symbol == 'C' for atom in CH2O2H2])
CH2O2H2.set_constraint(c)

dyn = BFGS(CH2O2H2, logfile='CH2O2H2_BEEF.log')
dyn.run(fmax=0.01)
calcCH2O2H2.write('CH2O2H2_BEEF.gpw')
write('CH2O2H2_BEEF.cif', CH2O2H2)
