from __future__ import print_function
from ase.constraints import FixAtoms
from ase.optimize import BFGS, QuasiNewton
from gpaw import GPAW, PW, FermiDirac
from ase.io import write, read
from ase import Atoms, Atom

a = 12.0
c = a / 2
CH3OH = Atoms('CH3OH', positions=[(c, c, c), (c - 0.8 , c, c - 0.6), (c , c - 0.8, c - 0.6), (c + 0.6 , c + 0.6, c - 0.6), (c, c, c + 0.8), (c, c, c + 1.6),], cell=(a, a, a))
CH3OH.center()

calcCH3OH=GPAW(mode=PW(450), xc='BEEF-vdW', basis='dzp', h=0.18, txt='CH3OH_BEEF.txt', occupations=FermiDirac(0.01))
CH3OH.set_calculator(calcCH3OH)
c = FixAtoms(mask=[atom.symbol == 'C' for atom in CH3OH])
CH3OH.set_constraint(c)

dyn = BFGS(CH3OH, logfile='CH3OH_BEEF.log')
dyn.run(fmax=0.01)
calcCH3OH.write('CH3OH_BEEF.gpw')
write('CH3OH_BEEF.cif', CH3OH)
