from __future__ import print_function
from ase.constraints import FixAtoms
from ase.optimize import BFGS, QuasiNewton
from gpaw import GPAW, PW, FermiDirac
from ase.io import write, read
from ase import Atoms, Atom

a = 12.0
c = a / 2
CH4 = Atoms('CH4', positions=[(c, c, c), (c, c, c + 0.8), (c - 0.8 , c, c - 0.6), (c , c - 0.8, c - 0.6), (c + 0.6 , c + 0.6, c - 0.6)], cell=(a, a, a))
CH4.center()
write('CH4_BEEF.cif', CH4)

calcCH4=GPAW(mode=PW(450), xc='BEEF-vdW', basis='dzp', h=0.18, txt='CH4_BEEF.txt', occupations=FermiDirac(0.01))
CH4.set_calculator(calcCH4)
c = FixAtoms(mask=[atom.symbol == 'C' for atom in CH4])
CH4.set_constraint(c)

dyn = BFGS(CH4, logfile='CH4_BEEF.log')
dyn.run(fmax=0.01)
calcCH4.write('CH4_BEEF.gpw')
write('CH4_BEEF.cif', CH4)
