from __future__ import print_function
from ase.constraints import FixAtoms
from ase.optimize import BFGS, QuasiNewton
from gpaw import GPAW, PW, FermiDirac
from ase.io import write, read
from ase import Atoms, Atom

d = 1.1   # bondlength of CO molecule
a = 12.0   # sidelength of unit cell
c = a / 2
CO = Atoms('CO', positions=[(c - d / 2, c, c), (c + d / 2, c, c)], cell=(a, a, a))
CO.center()

calcCO=GPAW(mode=PW(450), xc='BEEF-vdW', basis='dzp', h=0.18, txt='CO_BEEF.txt', occupations=FermiDirac(0.01))
CO.set_calculator(calcCO)

dyn = BFGS(CO, trajectory='CO_BEEF.traj', logfile='CO_BEEF.log')
dyn.run(fmax=0.01)
calcCO.write('CO_BEEF.gpw')
write('CO_BEEF.cif', CO)
