from __future__ import print_function
from ase.constraints import FixAtoms
from ase.optimize import BFGS, QuasiNewton
from gpaw import GPAW, PW, FermiDirac
from ase.io import write, read
from ase import Atoms, Atom

d = 1.1   # bondlength of CO molecule
a = 10.0   # sidelength of unit cell
c = a / 2
CO = Atoms('CO', positions=[(c - d / 2, c, c), (c + d / 2, c, c)], cell=(a, a, a))
write('CO_fd_RPBE.cif', CO)

calcCO=GPAW(xc='RPBE', basis='dzp', h=0.18, txt='CO_fd_RPBE.txt')
CO.set_calculator(calcCO)

#energy = CO.get_potential_energy()

dyn = BFGS(CO, logfile='CO_fd_RPBE.log')
dyn.run(fmax=0.05)
calcCO.write('CO_fd_RPBE.gpw')
