from __future__ import print_function
from ase.constraints import FixAtoms
from ase.optimize import BFGS, QuasiNewton
from gpaw import GPAW, PW, FermiDirac
from ase.io import write, read
from ase import Atoms, Atom

d = 1.16
a = 12.0
c = a / 2
CO2 = Atoms('CO2', positions=[(c, c, c), (c + d, c, c), (c - d, c, c)], cell=(a, a, a))
CO2.center()

calcCO2=GPAW(mode=PW(450), xc='BEEF-vdW', basis='dzp', h=0.18, txt='CO2_BEEF.txt', occupations=FermiDirac(0.01))
CO2.set_calculator(calcCO2)

dyn = BFGS(CO2, trajectory='CO2_BEEF.traj', logfile='CO2_BEEF.log')
dyn.run(fmax=0.01)
calcCO2.write('CO2_BEEF.gpw')
write('CO2_BEEF.cif', CO2)
