from __future__ import print_function
from ase.constraints import FixAtoms
from ase.optimize import BFGS, QuasiNewton
from gpaw import GPAW, PW, FermiDirac
from ase.io import write, read
from ase import Atoms, Atom

d = 1.16   # bondlength of CO molecule
a = 12.0   # sidelength of unit cell
c = a / 2
CO2 = Atoms('CO2', positions=[(c, c, c), (c + d, c, c), (c - d, c, c)], cell=(a, a, a))
CO2.center()

calcCO2=GPAW(mode=PW(450), xc='RPBE', basis='dzp', h=0.18, txt='CO2_PW_RPBE.txt', occupations=FermiDirac(0.01))
CO2.set_calculator(calcCO2)

#energy = CO2.get_potential_energy()
dyn = BFGS(CO2, logfile='CO2_PW_RPBE.log')
dyn.run(fmax=0.05)
calcCO2.write('CO2_PW_RPBE.gpw')
