from __future__ import print_function
from ase.constraints import FixAtoms
from ase.optimize import BFGS, QuasiNewton
from gpaw import GPAW, PW, FermiDirac
from ase.io import write, read
from ase import Atoms, Atom

a=12.0
d=0.74 # experimental bond length
c=a/2

calcH2=GPAW(mode=PW(450), xc='RPBE', basis='dzp', h=0.18, txt='H2_PW_RPBE.txt', occupations=FermiDirac(0.01))

H2 = Atoms('H2', positions=([c - d / 2, c, c], [c + d / 2, c, c]), cell=(a, a, a))
H2.center()
H2.set_calculator(calcH2)


dyn = BFGS(H2, logfile='H2_PW_RPBE.log')
dyn.run(fmax=0.01)
calcH2.write('H2_PW_RPBE.gpw')
