from __future__ import print_function
from ase.constraints import FixAtoms
from ase.optimize import BFGS, QuasiNewton
from gpaw import GPAW, PW, FermiDirac
from ase.io import write, read
from ase import Atoms, Atom
from math import cos, sin, pi

a=10.0
d = 0.9575
t = pi / 180 * 104.51

calcH2O=GPAW(xc='BEEF-vdW', basis='dzp', h=0.18, txt='H2O_fd_BEEF.txt')

H2O = Atoms('H2O', positions=[(0, 0, 0), (d, 0, 0), (d * cos(t), d * sin(t), 0)], cell=(a, a, a))
H2O.center()
H2O.set_calculator(calcH2O)
#e2 = H2O.get_potential_energy()

dyn = BFGS(H2O, logfile='H2O_fd_BEEF.log')
dyn.run(fmax=0.05)
calcH2O.write('H2O_fd_BEEF.gpw')
write('H2O_fd_BEEF.cif', H2O)
