from __future__ import print_function
from ase.constraints import FixAtoms
from ase.optimize import BFGS, QuasiNewton
from gpaw import GPAW, PW, FermiDirac
from ase.io import write, read
from ase import Atoms, Atom

d = 1.2   # bondlength of CO molecule
a = 10.0   # sidelength of unit cell
c = a / 2
CO2 = Atoms('HCOOH', positions=[(c, c, c+d)(c, c, c), (c + d, c, c), (c - d, c, c)], cell=(a, a, a))
write('CO2_fd_RPBE.cif', CO2)

calcCO2=GPAW(xc='RPBE', basis='dzp', h=0.18, txt='CO2_fd_RPBE.txt')
CO2.set_calculator(calcCO2)

#energy = CO2.get_potential_energy()
dyn = BFGS(CO2, logfile='CO2_fd_RPBE.log')
dyn.run(fmax=0.05)
calcCO2.write('CO2_fd_RPBE.gpw')
